function resolveImageOptimize(base, inline) {
  let inlineObj = {};
  if (typeof inline === "string" || !inline) {
    const inlineStr = inline.match(/^{.*}$/) ? inline : "{}";
    inlineObj = JSON.parse(inlineStr) || {};
  } else {
    inlineObj = inline;
  }
  let mergedOptimize = { ...base, ...inlineObj };
  let { formatOptions, quality } = mergedOptimize;
  formatOptions = {
    jpg: { quality },
    png: { quality },
    webp: { quality },
    avif: { quality },
    ...formatOptions
  };
  mergedOptimize.formatOptions = formatOptions;
  return mergedOptimize;
}
export {
  resolveImageOptimize
};
