import { resolveUserConfig } from "./user.js";
import { resolveMainConfig } from "./main.js";
import { resolveSubConfig } from "./sub.js";
import { resolveMdxConfig } from "./mdx.js";
import { resolveViteConfig } from "./vite.js";
async function resolveConfig(inlineConfig) {
  const resolvedUserConfig = await resolveUserConfig(inlineConfig);
  const resolvedMainConfig = await resolveMainConfig(resolvedUserConfig);
  const resolvedSubConfig = await resolveSubConfig(resolvedMainConfig);
  const resolvedMdxConfig = await resolveMdxConfig(resolvedMainConfig);
  const resolvedViteConfig = await resolveViteConfig(
    resolvedMainConfig,
    resolvedSubConfig
  );
  const resolvedConfig = {
    main: resolvedMainConfig,
    sub: resolvedSubConfig,
    mdx: resolvedMdxConfig,
    vite: resolvedViteConfig
  };
  return resolvedConfig;
}
export {
  resolveConfig
};
