import remarkFrontmatter from "remark-frontmatter";
import remarkMdxFrontmatter from "remark-mdx-frontmatter";
import remarkGfm from "remark-gfm";
import rehypeHighlight from "rehype-highlight";
async function resolveMdxConfig(mainConfig) {
  const { useRemarkGfm, useRehypeHighlight } = mainConfig.markdown;
  const { remarkGfmOptions, rehypeHighlightOptions } = mainConfig.markdown;
  const { mdxOptions } = mainConfig.markdown;
  mdxOptions.remarkPlugins?.push(remarkFrontmatter);
  mdxOptions.remarkPlugins?.push([
    remarkMdxFrontmatter,
    { name: "frontmatter" }
  ]);
  if (useRemarkGfm) {
    mdxOptions.remarkPlugins?.push([remarkGfm, remarkGfmOptions]);
  }
  if (useRehypeHighlight) {
    mdxOptions.rehypePlugins?.push([rehypeHighlight, rehypeHighlightOptions]);
  }
  return mdxOptions;
}
export {
  resolveMdxConfig
};
