import path from "node:path";
import { resolveEntry } from "./entry.js";
import { resolveAlias } from "./alias.js";
import { resolveBase } from "../utility/base.js";
import { getNodeModulesPath } from "../utility/path.js";
async function resolveSubConfig(mainConfig) {
  const resolvedRoot = mainConfig.root ? path.resolve(mainConfig.root) : process.cwd();
  const resolvedBase = resolveBase(mainConfig.base);
  const configEntry = mainConfig.assets.entry;
  const viteConfigEntry = mainConfig.vite.build?.rollupOptions?.input || "";
  const selectedEntry = configEntry || viteConfigEntry;
  const resolvedEntry = await resolveEntry(selectedEntry);
  const configAlias = mainConfig.resolve.alias;
  const viteConfigAlias = mainConfig.vite.resolve?.alias || {};
  const resolvedAlias = await resolveAlias(configAlias, viteConfigAlias);
  const tempDir = path.join(getNodeModulesPath(resolvedRoot), ".minista");
  return {
    resolvedRoot,
    resolvedBase,
    resolvedEntry,
    resolvedAlias,
    tempDir
  };
}
export {
  resolveSubConfig
};
