import fs from "fs-extra";
import { logger } from "../cli/logger.js";
async function generateRemoteCache(fileName, data) {
  if (!Object.keys(data).length) {
    return;
  }
  await fs.outputJson(fileName, data, { spaces: 2 }).catch((err) => {
    console.error(err);
  });
}
async function generateRemotes(items) {
  if (!items.length) {
    return;
  }
  await Promise.all(
    items.map(async (item) => {
      await fs.outputFile(item.fileName, item.data).then(() => {
        logger({ label: "FETCH", main: item.url });
      }).catch((err) => {
        console.error(err);
      });
      return;
    })
  );
}
export {
  generateRemoteCache,
  generateRemotes
};
