import path from "node:path";
import fs from "fs-extra";
import { logger } from "../cli/logger.js";
async function generateTempSearch({
  data,
  config
}) {
  const { resolvedRoot, tempDir } = config.sub;
  const fileName = path.join(tempDir, "__minista_plugin_search.json");
  const filePath = fileName.replace(resolvedRoot, "");
  const hasTempFile = await fs.pathExists(fileName);
  if (!data || hasTempFile) {
    return;
  }
  await fs.outputFile(fileName, data).then(() => {
    logger({ label: "BUILD", main: filePath });
  }).catch((err) => {
    console.error(err);
  });
}
export {
  generateTempSearch
};
