import { getGlobal, resolveGlobal } from "./global.js";
import { getPages, resolvePages } from "./page.js";
import { getStories } from "./story.js";
async function getSources(config) {
  const global = getGlobal();
  const pages = getPages();
  const { storyPages, storyItems } = getStories(config);
  const resolvedGlobal = await resolveGlobal(global);
  const resolvedPages = await resolvePages([...pages, ...storyPages]);
  return {
    resolvedGlobal,
    resolvedPages
  };
}
export {
  getSources
};
