import { generateTempSprite } from "../generate/sprite.js";
async function syncTempSprite({
  srcDir,
  fileName,
  config,
  server
}) {
  await generateTempSprite({ srcDir, fileName, config });
  const watcher = server.watcher.add(srcDir);
  watcher.on("all", async function(eventName, path) {
    const triggers = ["add", "change", "unlink"];
    if (triggers.includes(eventName) && path.includes(srcDir)) {
      await generateTempSprite({ srcDir, fileName, config });
      server.ws.send({ type: "full-reload" });
    }
  });
}
export {
  syncTempSprite
};
