import type { ResizeOptions } from "sharp";
import type { ResolvedConfig } from "../config/index.js";
import type { ResolvedImageOptimize, ResolvedImageFormat } from "../config/image.js";
export type EntryImages = {
    [src: string]: {
        fileName: string;
        width: number;
        height: number;
        aspectWidth: number;
        aspectHeight: number;
    };
};
export type CreateImages = {
    [fileName: string]: CreateImage;
};
type CreateImage = {
    input: string;
    width: number;
    height: number;
    resizeOptions: ResizeOptions;
    format: ResolvedImageFormat;
    formatOptions: ResolvedImageOptimize["formatOptions"];
};
export declare function generateImageCache(fileName: string, data: EntryImages): Promise<void>;
export declare function generateTempImage({ fileName, filePath, createImage, }: {
    fileName: string;
    filePath: string;
    createImage: CreateImage;
}): Promise<void>;
export declare function generateImages({ createImages, config, maxNameLength, }: {
    createImages: CreateImages;
    config: ResolvedConfig;
    maxNameLength?: number;
}): Promise<void>;
export {};
