import type { GetStaticData, StaticData, PageProps, Metadata, Frontmatter } from "../shared/index.js";
type PageComponent = () => React.CElement<{
    [key: string]: any;
}, React.Component<PageProps, {}, any>>;
type Page = {
    path: string;
    component: PageComponent;
    getStaticData?: GetStaticData;
    metadata: Metadata;
    frontmatter: Frontmatter;
};
export type ResolvedPages = {
    path: string;
    component: PageComponent;
    staticData: StaticData;
    metadata: Metadata;
    frontmatter: Frontmatter;
}[];
export declare function getPages(): Page[];
export declare function resolvePages(pages: Page[]): Promise<ResolvedPages>;
export {};
