import type { ImageOptimize, ImagesOptimize } from "../config/image.js";
type ImageProps = {
    src: string;
    outName?: string;
    sizes?: string;
    width?: number | string;
    height?: number | string;
    alt?: string;
    decoding?: HTMLImageElement["decoding"];
    loading?: HTMLImageElement["loading"];
} & Partial<ImageOptimize> & React.HTMLAttributes<HTMLImageElement>;
type PictureProps = {
    src: string;
    outName?: string;
    sizes?: string;
    width?: number | string;
    height?: number | string;
    alt?: string;
    decoding?: HTMLImageElement["decoding"];
    loading?: HTMLImageElement["loading"];
    artDirectives?: ArtDirective[];
} & Partial<ImagesOptimize> & React.HTMLAttributes<HTMLImageElement>;
type ArtDirective = {
    media: string;
    src: string;
    sizes?: string;
    width?: number | string;
    height?: number | string;
} & Partial<ImagesOptimize>;
export declare function Image({ src, outName, sizes, width, height, alt, decoding, loading, layout, breakpoints, resolution, format, formatOptions, quality, aspect, background, fit, position, ...attributes }: ImageProps): import("react/jsx-runtime").JSX.Element;
export declare function Picture({ src, outName, sizes, width, height, alt, decoding, loading, layout, breakpoints, resolution, formats, formatOptions, quality, aspect, background, fit, position, artDirectives, ...attributes }: PictureProps): import("react/jsx-runtime").JSX.Element;
export {};
