import type { HTMLElement as NHTMLElement } from "node-html-parser";
import type { ResolvedConfig } from "../config/index.js";
import type { SsgPages } from "../transform/ssg.js";
type DeliveryItems = {
    group: string;
    title: string;
    path: string;
    draft: boolean;
}[];
type DeliveryGroups = {
    title: string;
    items: {
        title: string;
        path: string;
        draft: boolean;
    }[];
}[];
export declare function getDeliveryItems({ ssgPages, config, }: {
    ssgPages: SsgPages;
    config: ResolvedConfig;
}): DeliveryItems;
export declare function getDeliveryGroups(items: DeliveryItems): DeliveryGroups;
export declare function getDeliveryTag({ title, items, hasRelativeFlag, }: {
    title?: DeliveryGroups[0]["title"];
    items: DeliveryGroups[0]["items"];
    hasRelativeFlag?: boolean;
}): string;
export declare function transformDeliveries({ parsedData, ssgPages, config, }: {
    parsedData: NHTMLElement | NHTMLElement[];
    ssgPages: SsgPages;
    config: ResolvedConfig;
}): void;
export {};
