import type { HTMLElement as NHTMLElement } from "node-html-parser";
import type { ResolvedConfig } from "../config/index.js";
import type { ResolvedImageOptimize, ResolvedImageFormat } from "../config/image.js";
import type { CreateImages } from "../generate/image.js";
export declare function getImageSize(fileName: string): Promise<{
    width: number;
    height: number;
}>;
export declare function getImageAspect(base: number | string, other: number | string): number;
export declare function getImageAspects(width: number | string, height: number | string, aspect?: string): {
    aspectWidth: number;
    aspectHeight: number;
};
export declare function getImageLength(otherLength: number | string, baseAspect: number): number;
export declare function resolveOutFormat(ext: string, format: ResolvedImageOptimize["format"]): ResolvedImageFormat;
export declare function resolveBreakpoints(breakpoints: ResolvedImageOptimize["breakpoints"], imageWidth: number): number[];
export declare function transformImages({ command, parsedData, config, createImages, }: {
    command: "build" | "serve";
    parsedData: NHTMLElement | NHTMLElement[];
    config: ResolvedConfig;
    createImages?: CreateImages;
}): Promise<void>;
