/// <reference types="node" />
import type { HTMLElement as NHTMLElement } from "node-html-parser";
import type { ResolvedConfig } from "../config/index.js";
export declare function getRemoteExt(url: string): string;
export declare function fetchRemote({ url, outDir, remoteName, remoteCount, }: {
    url: string;
    outDir: string;
    remoteName: string;
    remoteCount: number;
}): Promise<{
    url: string;
    fileName: string;
    data: string;
} | {
    url: string;
    fileName: string;
    data: Buffer;
}>;
export declare function transformRemotes({ command, parsedData, config, }: {
    command: "build" | "serve";
    parsedData: NHTMLElement | NHTMLElement[];
    config: ResolvedConfig;
}): Promise<void>;
